#{extends 'border.html'/}
<div class="container-fluid">

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{purchasing.PaketCtr.index()}">&{'daftar_paket.label'}</a></li>
                <li class="active">&{'detail_paket.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        #{alert /}
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <!-- Toolbar -->
            <div class="toolbar">
                <a href="@{purchasing.PaketCtr.index()}" class="btn btn-sm btn-default"><i
                        class="fa fa-arrow-circle-left"></i> &{'daftar_paket.label'} </a>&nbsp;
            #{if paket?.panitia_user_id == aktifUser.user_id && paket?.bolehEdit == true}
                <a href="@{purchasing.PaketCtr.edit(play.i18n.Lang.get(), paket?.id)}"
                   class="btn btn-sm btn-warning">&{'ubah_paket.label'} </a>&nbsp;
            #{/if}
                <a href="${paket?.getProductUrl()}" class="btn btn-sm btn-primary">&{'daftar_produk.label'}</a>&nbsp;
            #{if paket?.statusMessage?.showUlpUrl}
                <a href="${paket?.getUlpMemberUrl()}" class="btn btn-sm btn-primary">&{'daftar_anggota_ulp.label'}</a>
            #{/if}
            #{if paket?.statusMessage?.isAllowNegotiation() && !paket?.isIs_distributor()}
                <a href="@{purchasing.PaketCtr.negosiasi(play.i18n.Lang.get(), paket?.id)}"
                   class="btn btn-sm btn-primary">&{'negosiasi_paket.label'}</a>&nbsp;
            #{/if}
            #{if paket?.statusMessage?.showButtonPilihDistributor}
                <a href="${paket?.setDistributorUrl()}"
                   class="btn btn-sm btn-primary">&{'tetapkan_distributor.label'}</a>&nbsp;
            #{/if}
            #{if paket?.statusMessage?.showButtonsAfterNegotiation}
                <a href="${paket?.getContractListUrl()}" class="btn btn-sm btn-primary">&{'daftar_kontrak.label'}</a>&nbsp;
                <a href="${paket?.getReportDeliveryUrl()}"
                   class="btn btn-sm btn-primary">&{'riwayat_pengiriman.label'}</a>&nbsp;
                <a href="${paket?.getReportAcceptanceUrl()}"
                   class="btn btn-sm btn-primary">&{'riwayat_penerimaan.label'}</a>&nbsp;
                <a href="${paket?.getPaymentHistory()}" class="btn btn-sm btn-primary">&{'pembayaran.label'}</a>&nbsp;
            #{/if}
            #{if paket?.statusMessage?.showButtonBatalPaket && !paket?.latestStatus?.status_paket.equalsIgnoreCase("batal")}
            *{<a href="${paket?.cancelPackage()}" class="btn btn-sm btn-danger" onclick="return confirm('Apakah anda yakin ingin membatalkan paket?')">&{'batalkan_paket.label'}}*
                <a class="btn btn-sm btn-danger" onclick="openForm()">&{'batalkan_paket.label'}
                </a>&nbsp;

            #{/if}
            </div>
            <!-- End Toolbar -->
        *{Dialog untuk membatalkan paket}*
            <div class="modal fade" id="pembatalanForm" tabindex="-1" role="dialog"
                 aria-labelledby="myModalLabel">
            #{form @purchasing.PaketCtr.cancelPackage(), method:'POST'}
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal"
                                    aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                            <h4 class="modal-title" id="myModalLabel">&{'pembatalan.label'} &{'paket.label'}</h4>
                        </div>
                        <div class="modal-body">
                            <input type="hidden" id="paket_id" name="paket_id" value="${paket?.id}">
                            <div class="form-group required">
                                <label class="col-sm-3 control-label">&{'alasan.label'} &{'pembatalan.label'} &{'paket.label'}</label>
                                <div class="col-sm-9">
                                    <textarea class="form-control" id="paket.alasan_batal" required
                                              name="paket.alasan_batal">${paket.alasan_batal}</textarea>
                                </div>
                            </div>
                            <div>
                                <div>&nbsp;</div>
                                <div class="col-md-10">&nbsp;</div>
                                <button id="save" type="submit"
                                        class="btn btn-md btn-primary">&{'simpan.label'}</button>
                            </div>
                        </div>
                    </div>
                </div>
            #{/form}
            </div>
        </div>
    </div>

    <div class="row">
        <div class="detail-wrapper">
            <div class="row">
                <div class="detail-header detail-paket-header">
                    <div class="col-md-5">
                        <h5>&{'detail_paket.label'} ${paket?.getNo_paket()}</h5>
                    </div>
                    <div class="col-md-7">
                        <ul class="nav nav-pills">
                        #{list items:paket?.getProgress(), as:'item'}
                            <li ${item.isActive ? "class='active'" : ""}>
                                <a href="#" class="btn-circle">${item.number}</a>
                                <span>${item.name}</span>
                            </li>
                        #{/list}

                        </ul>
                    </div>

                </div>
            </div>

            <div class="row">
                <div class="detail-body">
                    <div class="col-md-8">
                    #{include 'purchasing/parts/_status.html'/}
                        <div class="panel panel-default">
                            <div class="panel-body">
                                <ul class="nav nav-tabs tab-detil-produk" role="tablist">
                                    <li role="presentation" class="active">
                                        <a href="#informasi-utama" aria-controls="informasi-utama" role="tab"
                                           data-toggle="tab">&{'informasi_utama.label'}</a>
                                    </li>
                                    <!-- <li role="presentation">
										<a href="#kontrak" aria-controls="kontrak" role="tab" data-toggle="tab">&{'kontrak.label'}</a>
									</li>
									<li role="presentation">
										<a href="#pembayaran" aria-controls="pembayaran" role="tab" data-toggle="tab">&{'pembayaran.label'}</a>
									</li> -->
                                    <li role="presentation">
                                        <a href="#pp-ppk" aria-controls="pp-ppk" role="tab"
                                           data-toggle="tab">&{'pemesan.label'} & &{'ppk.label'}</a>
                                    </li>
                                    <li role="presentation">
                                        <a href="#penyedia-distributor" aria-controls="penyedia-distributor" role="tab"
                                           data-toggle="tab">&{'penyedia_distributor.label'}</a>
                                    </li>
                                    <li role="presentation">
                                        <a href="#sumber-dana" aria-controls="sumber-dana" role="tab"
                                           data-toggle="tab">&{'sumber_dana.label'}</a>
                                    </li>
                                </ul>

                                <div class="tab-content">
                                    <div role="tabpanel" class="tab-pane active" id="informasi-utama">
                                    #{include 'pl/data-paket/tab-informasi-utama.html'/}
                                    </div>
                                    <!-- <div role="tabpanel" class="tab-pane" id="kontrak">
										#{include 'pl/data-paket/tab-kontrak.html'/}
									</div>
									<div role="tabpanel" class="tab-pane" id="pembayaran">
										#{include 'pl/data-paket/tab-pembayaran.html'/}
									</div> -->
                                    <div role="tabpanel" class="tab-pane" id="pp-ppk">
                                    #{include 'pl/data-paket/tab-pp-ppk.html'/}
                                    </div>
                                    <div role="tabpanel" class="tab-pane" id="penyedia-distributor">
                                    #{include 'pl/data-paket/tab-penyedia-distributor.html'/}
                                    </div>
                                    <div role="tabpanel" class="tab-pane" id="sumber-dana">
                                    #{include 'pl/data-paket/tab-sumber-dana.html'/}
                                    </div>
                                </div>
                            </div>
                        </div>

                    #{if paket?.commodity?.isNegotiationRequired() && paket?.totalNegotiations != null}
                        <div class="panel panel-default">
                            <div class="panel-body">
                                <h5>&{'harga_negosiasi.label'}</h5>
                                <div class="detail-list">
                                    <div class="detail-item">
                                        <div class="row">
                                            <div class="detail-heading col-md-2">&{'revisi.label'}</div>
                                            <div class="detail-heading col-md-6">&{'oleh.label'}</div>
                                            <div class="detail-heading col-md-3">&{'total_harga_idr.label'}</div>
                                            <!-- <div class="detail-heading col-md-3">&{'total_harga_usd.label'}</div> -->
                                            <div class="detail-heading col-md-1"><i class="fa fa-check-circle"></i><i
                                                    class="fa fa-check-circle-o"></i></div>
                                        </div>
                                    </div>
                                    #{list items:paket.totalNegotiations, as:'item'}
                                        <div class="detail-item">
                                            <div class="row">
                                                #{if item.getRevision().equalsIgnoreCase('Rev. 0')}
                                                    <div class="detail-description col-md-2">&{'harga_awal.label'}</div>
                                                #{/if}
                                                #{if !item.getRevision().equalsIgnoreCase('Rev. 0')}
                                                    <div class="detail-description col-md-2">${item.getRevision()}</div>
                                                #{/if}
                                                <div class="detail-description col-md-6">${item.nama_lengkap}</div>
                                                <div class="detail-description col-md-3">
                                                ${item.getFormattedConversionTotalPrice()}
                                                </div>
                                                <!--                                                 <div class="detail-description col-md-3">
                                                    ${item.getFormattedTotalPriceInUSD()}
                                                </div> -->
                                                <div class="detail-description col-md-1">@{item ? item.getCheckedUser() : item.getCheckedUser()}</div>
                                            </div>
                                        </div>
                                    #{/list}
                                </div>
                                <a href="${paket?.getPackageNegotiationHistory()}"
                                   class="btn btn-sm btn-primary">&{'riwayat_negosiasi.label'}</a>
                            </div>
                        </div>
                    #{/if}

                    </div>

                    <div class="col-md-4">
                    #{include 'purchasing/parts/_sidebar-detail-status.html'/}
                    </div>
                </div>
            </div>
        </div>
    </div>

*{#{include 'katalog/ProdukCtr/parts/_chatPaket.html'/}}*
</div>

#{set 'moreScripts'}
<script type="text/javascript">
    function openForm() {
        // document.getElementById("pembatalanForm").style.display = "block";
        $('#pembatalanForm').modal('show').find('.modal-body').load($(this).attr('href'));
    }
</script>
#{/set}